> ## Documentation Index
> Fetch the complete documentation index at: https://docs.depict.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Subscription Essentials



## OpenAPI

````yaml /api-reference/openapi/lite.json post /settings/subscription/essentials
openapi: 3.1.0
info:
  title: Depict Lite API
  version: 1.0.0
  description: >-
    REST API behind Depict Lite, the native Shopify app: onboarding,
    collections, boost & bury, dashboards, A/B testing and multi-store
    management. Endpoints are served under the /api/lite prefix and require an
    Auth0-issued bearer token.
servers:
  - url: /api/lite
security: []
paths:
  /settings/subscription/essentials:
    post:
      summary: Create Subscription Essentials
      operationId: create_subscription_essentials_settings_subscription_essentials_post
      parameters:
        - name: return_url
          in: query
          required: true
          schema:
            type: string
            title: Return Url
        - name: interval
          in: query
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/AppPricingInterval'
            default: EVERY_30_DAYS
            title: Interval
        - name: testChargeSecret
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Testchargesecret
        - name: merchant_id
          in: query
          required: true
          schema:
            type: string
            title: Merchant Id
      requestBody:
        content:
          application/json:
            schema:
              anyOf:
                - $ref: '#/components/schemas/SubscriptionDiscount'
                - type: 'null'
              title: Discount
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShopifyAppSubscriptionCreatePayload'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Auth0: []
components:
  schemas:
    AppPricingInterval:
      type: string
      enum:
        - ANNUAL
        - EVERY_30_DAYS
      title: AppPricingInterval
    SubscriptionDiscount:
      properties:
        percentage:
          type: number
          title: Percentage
        duration_intervals:
          type: integer
          title: Duration Intervals
      type: object
      required:
        - percentage
        - duration_intervals
      title: SubscriptionDiscount
    ShopifyAppSubscriptionCreatePayload:
      properties:
        confirmation_url:
          type: string
          title: Confirmation Url
      type: object
      required:
        - confirmation_url
      title: ShopifyAppSubscriptionCreatePayload
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Auth0:
      type: oauth2
      flows:
        authorizationCode:
          scopes:
            openid: OpenID Connect
            profile: User profile
            email: User email
          authorizationUrl: https://depict.eu.auth0.com/oauth/authorize
          tokenUrl: https://depict.eu.auth0.com/oauth/token
      x-tokenName: id_token

````